Bug 199390 - net/miniupnpd: properly link against ports OpenSSL/LibreSSL
Summary: net/miniupnpd: properly link against ports OpenSSL/LibreSSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Philip M. Gollucci
URL:
Keywords:
Depends on:
Blocks: 195796
  Show dependency treegraph
 
Reported: 2015-04-12 08:39 UTC by Franco Fichtner
Modified: 2015-06-28 08:48 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (squat)


Attachments
adds proper openssl includes/library path (497 bytes, patch)
2015-04-12 08:39 UTC, Franco Fichtner
no flags Details | Diff
svn diff for net/miniupnpd (1.40 KB, patch)
2015-04-25 13:47 UTC, Bernard Spil
no flags Details | Diff
Poudriere build log of net/miniupnpd (21.42 KB, text/plain)
2015-04-25 13:48 UTC, Bernard Spil
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2015-04-12 08:39:30 UTC
Created attachment 155504 [details]
adds proper openssl includes/library path

Background: port links against base openssl, don't want that :)
Comment 1 Bernard Spil freebsd_committer 2015-04-25 13:22:07 UTC
This needs more work...

Before patching
# readelf -d work/stage/usr/local/sbin/miniupnpd
 0x0000000000000001 (NEEDED)             Shared library: [libssl.so.7]
 0x0000000000000001 (NEEDED)             Shared library: [libcrypto.so.7]

After patching
===>   miniupnpd-1.9_1,1 depends on file: /usr/local/lib/libcrypto.so.32 - found
readelf -d
 0x0000000000000001 (NEEDED)             Shared library: [libssl.so.7]
 0x0000000000000001 (NEEDED)             Shared library: [libcrypto.so.7]
Comment 2 Bernard Spil freebsd_committer 2015-04-25 13:47:06 UTC
Created attachment 155975 [details]
svn diff for net/miniupnpd

Compilation of miniupnpd did not include the -L flag, attached patch solves that (and includes the original patch from Franco as well)
Comment 3 Bernard Spil freebsd_committer 2015-04-25 13:48:29 UTC
Created attachment 155976 [details]
Poudriere build log of net/miniupnpd

From the log
 0x0000000000000001 (NEEDED)             Shared library: [libcrypto.so.32]
 0x0000000000000001 (NEEDED)             Shared library: [libssl.so.32]
Comment 4 Franco Fichtner 2015-05-08 07:59:03 UTC
Thanks Bernard, works like a charm.  Will this go?  :)
Comment 5 Philip M. Gollucci freebsd_committer 2015-06-26 20:27:31 UTC
Take.
Comment 6 Philip M. Gollucci freebsd_committer 2015-06-27 03:36:23 UTC
Maintainer Timeout - 76 days (squat@squat.no)
Comment 7 commit-hook freebsd_committer 2015-06-27 19:30:44 UTC
A commit references this bug:

Author: pgollucci
Date: Sat Jun 27 19:30:35 UTC 2015
New revision: 390722
URL: https://svnweb.freebsd.org/changeset/ports/390722

Log:
  net/miniupnpd: properly link against ports OpenSSL/LibreSSL

  PR:                  199390
  Submitted by:        franco@opnsense.org and brnrd@
  Approved by:         maintainer timeout (squat@squat.no ; 76 days)

Changes:
  head/net/miniupnpd/Makefile
  head/net/miniupnpd/files/patch-Makefile
Comment 8 Franco Fichtner 2015-06-28 08:48:14 UTC
Thanks guys! :)